<script>
    function VemCep(){
        var cep = $('#cep_simular').val();
        cep = cep.replace(/[^0-9]/g,'');
        if(cep=='' && $.cookie('cep_salvo')!='undefined'){
            $('#cep_simular').val($.cookie('cep_salvo'));
        }
    }
    function SimularFrete(){
        var cep = $('#cep_simular').val();
        var original = cep;
        cep = cep.replace(/[^0-9]/g,'');
        if(cep==''){
            swal('Digite seu cep!');
            $("#cep_simular").focus();
            return false;
        }
        $.cookie('cep_salvo', original, { expires: 7 });
        var qtd = $('#qty_').val();
        var produto = %%GLOBAL_ProductId%%;
        $('#contacoes_frete').html('<center>Aguarde...</center>');
        $.getJSON( "%%GLOBAL_ShopPath%%/json.frete.php?produto="+produto+"&cep="+cep+"&qtd="+qtd, function( data ) {
        if(data==''){
            var items = '<center>Nenhum meio disponivel!</center>';
        }else{
            if(data.erro=='sim'){
                var items = '<center>'+data.msg+'</center>';
            }else{
                var items = '<br><table class="table table-bordered table-striped">';
                items += '<thead><tr><th>&nbsp;Meio de entrega</th><th>Pre&ccedil;o</th><th>Prazo</th></tr></thead><tbody>';
                $.each( data, function( key, val ) {
                    if (typeof val.transit === 'undefined') {
                        var transit = 10;
                    }else{
                        var transit = val.transit;
                    }
                    items += '<tr><td><label>&nbsp;'+val.description+'</label></td>';
                    items += '<td class="Price"><em class="ProductPrice">R$'+val.price+'</em></td>';
                    items += '<td><em class="TransitTime">'+transit+' dia(s)*Úteis</em></td></tr>'; 
                });
                items += '</tbody></table>';
                items += '&nbsp;*O prazo de entrega só começa a contar após confirmação de pagamento';
            }
        }
        $('#contacoes_frete').html(items);});
        return true;
    }
</script>

<div id="simulador_pro">
    <div class="form-inline" style="display: %%GLOBAL_HideShipping%%">
        <div class="calc form-group">
            <label>Calcular Frete:</label>
            <input type="text" class="form-control" id="cep_simular">
            <button onclick="SimularFrete()" id="postok" class="btn btn-custom btn-lger min-width-sm">Calcular</button>
            <a href="http://www.buscacep.correios.com.br/" target="_blank" title="Qual meu CEP?"><img border="0" src="%%GLOBAL_IMG_PATH%%/cep.gif" width="84" height="20"></a>
        </div>
    </div>
    <div id="contacoes_frete"></div>				
</div>